Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6826)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6827)
@@ -48,49 +48,11 @@
    USE mppini         ! shared/distributed memory setting (mpp_init routine)
    USE domain         ! domain initialization             (dom_init routine)
-#if defined key_nemocice_decomp
-   USE ice_domain_size, only: nx_global, ny_global
-#endif
-   USE tideini        ! tidal components initialization   (tide_ini routine)
-   USE bdyini         ! open boundary cond. setting       (bdy_init routine)
-   USE bdydta         ! open boundary cond. setting   (bdy_dta_init routine)
-   USE bdytides       ! open boundary cond. setting   (bdytide_init routine)
-   USE sbctide, ONLY  : lk_tide
-   USE istate         ! initial state setting          (istate_init routine)
-   USE ldfdyn         ! lateral viscosity setting      (ldfdyn_init routine)
-   USE ldftra         ! lateral diffusivity setting    (ldftra_init routine)
-   USE zdfini         ! vertical physics setting          (zdf_init routine)
    USE phycst         ! physical constant                  (par_cst routine)
-   USE trdini         ! dyn/tra trends initialization     (trd_init routine)
-   USE asminc         ! assimilation increments     
-   USE asmbkg         ! writing out state trajectory
-   USE diaptr         ! poleward transports           (dia_ptr_init routine)
-   USE diadct         ! sections transports           (dia_dct_init routine)
-   USE diaobs         ! Observation diagnostics       (dia_obs_init routine)
-   USE diacfl         ! CFL diagnostics               (dia_cfl_init routine)
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)
-   USE step           ! NEMO time-stepping                 (stp     routine)
-   USE icbini         ! handle bergs, initialisation
-   USE icbstp         ! handle bergs, calving, themodynamics and transport
-   USE cpl_oasis3     ! OASIS3 coupling
-   USE c1d            ! 1D configuration
-   USE step_c1d       ! Time stepping loop for the 1D configuration
-   USE dyndmp         ! Momentum damping
-   USE stopar         ! Stochastic param.: ???
-   USE stopts         ! Stochastic param.: ???
-#if defined key_top
-   USE trcini         ! passive tracer initialisation
-#endif
    USE lib_mpp        ! distributed memory computing
-   USE diurnal_bulk    ! diurnal bulk SST 
-   USE step_diu        ! diurnal bulk SST timestepping (called from here if run offline)
 #if defined key_iomput
    USE xios           ! xIOserver
 #endif
-   USE crsini         ! initialise grid coarsening utility
    USE lbcnfd , ONLY  : isendto, nsndto, nfsloop, nfeloop   ! Setup of north fold exchanges 
-   USE sbc_oce, ONLY  : lk_oasis
-   USE diatmb          ! Top,middle,bottom output
-   USE dia25h          ! 25h mean output
-   USE wet_dry         ! Wetting and drying setting   (wad_init routine)
 
    IMPLICIT NONE
@@ -137,10 +99,4 @@
       CALL Agrif_Declare_Var_dom   ! AGRIF: set the meshes for DOM
       CALL Agrif_Declare_Var       !  "      "   "   "      "  DYN/TRA 
-# if defined key_top
-      CALL Agrif_Declare_Var_top   !  "      "   "   "      "  TOP
-# endif
-# if defined key_lim2
-      CALL Agrif_Declare_Var_lim2  !  "      "   "   "      "  LIM
-# endif
 #endif
       ! check that all process are still there... If some process have an error,
@@ -151,49 +107,6 @@
 
       !                            !-----------------------!
-      !                            !==   time stepping   ==!
-      !                            !-----------------------!
-      istp = nit000
-#if defined key_c1d
-         DO WHILE ( istp <= nitend .AND. nstop == 0 )
-            CALL stp_c1d( istp )
-            istp = istp + 1
-         END DO
-#else
-          IF( lk_asminc ) THEN
-             IF( ln_bkgwri ) CALL asm_bkg_wri( nit000 - 1 )    ! Output background fields
-             IF( ln_asmdin ) THEN                        ! Direct initialization
-                IF( ln_trainc ) CALL tra_asm_inc( nit000 - 1 )    ! Tracers
-                IF( ln_dyninc ) CALL dyn_asm_inc( nit000 - 1 )    ! Dynamics
-                IF( ln_sshinc ) CALL ssh_asm_inc( nit000 - 1 )    ! SSH
-             ENDIF
-          ENDIF
-
-#if defined key_agrif
-          CALL Agrif_Regrid()
-#endif
-
-         DO WHILE ( istp <= nitend .AND. nstop == 0 )
-#if defined key_agrif
-            CALL stp                         ! AGRIF: time stepping
-#else
-            IF ( .NOT. ln_diurnal_only ) THEN 
-               CALL stp( istp )                 ! standard time stepping 
-            ELSE 
-               CALL stp_diurnal( istp )        ! time step only the diurnal SST 
-            ENDIF 
-#endif
-            istp = istp + 1
-            IF( lk_mpp )   CALL mpp_max( nstop )
-         END DO
-#endif
-
-      IF( ln_diaobs   )   CALL dia_obs_wri
-      !
-      IF( ln_icebergs )   CALL icb_end( nitend )
-
-      !                            !------------------------!
       !                            !==  finalize the run  ==!
       !                            !------------------------!
-      IF(lwp) WRITE(numout,cform_aaa)   ! Flag AAAAAAA
       !
       IF( nstop /= 0 .AND. lwp ) THEN   ! error print
@@ -204,6 +117,5 @@
 #if defined key_agrif
       IF( .NOT. Agrif_Root() ) THEN
-                         CALL Agrif_ParentGrid_To_ChildGrid()
-         IF( ln_diaobs ) CALL dia_obs_wri
+                                CALL Agrif_ParentGrid_To_ChildGrid()
          IF( nn_timing == 1 )   CALL timing_finalize
                                 CALL Agrif_ChildGrid_To_ParentGrid()
@@ -216,11 +128,6 @@
 #if defined key_iomput
       CALL xios_finalize                  ! end mpp communications with xios
-      IF( lk_oasis )   CALL cpl_finalize  ! end coupling and mpp communications with OASIS
 #else
-      IF( lk_oasis ) THEN 
-         CALL cpl_finalize              ! end coupling and mpp communications with OASIS
-      ELSE
-         IF( lk_mpp )   CALL mppstop    ! end mpp communications
-      ENDIF
+      IF( lk_mpp )   CALL mppstop    ! end mpp communications
 #endif
       !
@@ -294,25 +201,12 @@
 #if defined key_iomput
       IF( Agrif_Root() ) THEN
-         IF( lk_oasis ) THEN
-            CALL cpl_init( "oceanx", ilocal_comm )                     ! nemo local communicator given by oasis
-            CALL xios_initialize( "not used",local_comm=ilocal_comm )    ! send nemo communicator to xios
-         ELSE
             CALL  xios_initialize( "for_xios_mpi_id",return_comm=ilocal_comm )    ! nemo local communicator given by xios
-         ENDIF
       ENDIF
       ! Nodes selection (control print return in cltxt)
       narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )
 #else
-      IF( lk_oasis ) THEN
-         IF( Agrif_Root() ) THEN
-            CALL cpl_init( "oceanx", ilocal_comm )                      ! nemo local communicator given by oasis
-         ENDIF
-         ! Nodes selection (control print return in cltxt)
-         narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )
-      ELSE
          ilocal_comm = 0
          ! Nodes selection (control print return in cltxt)
          narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop )
-      ENDIF
 #endif
       narea = narea + 1                                     ! mynode return the rank of proc (0 --> jpnij -1 )
@@ -402,106 +296,7 @@
                             CALL     phy_cst    ! Physical constants
                             CALL     eos_init   ! Equation of state
-      IF( lk_c1d        )   CALL     c1d_init   ! 1D column configuration
-                            CALL     wad_init   ! Wetting and drying options
                             CALL     dom_cfg    ! Domain configuration
                             CALL     dom_init   ! Domain
-      IF( ln_crs        )   CALL     crs_init   ! coarsened grid: domain initialization 
-      IF( ln_nnogather )    CALL nemo_northcomms! northfold neighbour lists (must be done after the masks are defined)
       IF( ln_ctl        )   CALL prt_ctl_init   ! Print control
-      
-      CALL diurnal_sst_bulk_init            ! diurnal sst
-      IF ( ln_diurnal ) CALL diurnal_sst_coolskin_init   ! cool skin   
-      
-      ! IF ln_diurnal_only, then we only want a subset of the initialisation routines
-      IF ( ln_diurnal_only ) THEN
-         CALL  istate_init   ! ocean initial state (Dynamics and tracers)
-         CALL     sbc_init   ! Forcings : surface module
-         CALL tra_qsr_init   ! penetrative solar radiation qsr
-         IF( ln_diaobs     ) THEN                  ! Observation & model comparison
-            CALL dia_obs_init            ! Initialize observational data
-            CALL dia_obs( nit000 - 1 )   ! Observation operator for restart
-         ENDIF     
-         !                                     ! Assimilation increments
-         IF( lk_asminc     )   CALL asm_inc_init   ! Initialize assimilation increments
-                 
-         IF(lwp) WRITE(numout,*) 'Euler time step switch is ', neuler
-         RETURN
-      ENDIF
-      
-                            CALL  istate_init   ! ocean initial state (Dynamics and tracers)
-
-      !                                      ! external forcing 
-!!gm to be added : creation and call of sbc_apr_init
-      IF( lk_tide       )   CALL    tide_init   ! tidal harmonics
-                            CALL     sbc_init   ! surface boundary conditions (including sea-ice)
-!!gm ==>> bdy_init should call bdy_dta_init and bdytide_init  NOT in nemogcm !!!
-      IF( lk_bdy        )   CALL     bdy_init   ! Open boundaries initialisation
-      IF( lk_bdy        )   CALL bdy_dta_init   ! Open boundaries initialisation of external data arrays
-      IF( lk_bdy .AND. lk_tide )   &
-         &                  CALL bdytide_init   ! Open boundaries initialisation of tidal harmonic forcing
-         
-      !                                      ! Ocean physics
-      !                                         ! Vertical physics
-                            CALL     zdf_init      ! namelist read
-                            CALL zdf_bfr_init      ! bottom friction
-      IF( lk_zdfric     )   CALL zdf_ric_init      ! Richardson number dependent Kz
-      IF( lk_zdftke     )   CALL zdf_tke_init      ! TKE closure scheme
-      IF( lk_zdfgls     )   CALL zdf_gls_init      ! GLS closure scheme
-      IF( lk_zdftmx     )   CALL zdf_tmx_init      ! tidal vertical mixing
-      IF( lk_zdfddm     )   CALL zdf_ddm_init      ! double diffusive mixing
-         
-      !                                         ! Lateral physics
-                            CALL ldf_tra_init      ! Lateral ocean tracer physics
-                            CALL ldf_eiv_init      ! eddy induced velocity param.
-                            CALL ldf_dyn_init      ! Lateral ocean momentum physics
-
-      !                                         ! Active tracers
-                            CALL tra_qsr_init      ! penetrative solar radiation qsr
-                            CALL tra_bbc_init      ! bottom heat flux
-      IF( lk_trabbl     )   CALL tra_bbl_init      ! advective (and/or diffusive) bottom boundary layer scheme
-                            CALL tra_dmp_init      ! internal tracer damping
-                            CALL tra_adv_init      ! horizontal & vertical advection
-                            CALL tra_ldf_init      ! lateral mixing
-                            CALL tra_zdf_init      ! vertical mixing and after tracer fields
-
-      !                                         ! Dynamics
-      IF( lk_c1d        )   CALL dyn_dmp_init      ! internal momentum damping
-                            CALL dyn_adv_init      ! advection (vector or flux form)
-                            CALL dyn_vor_init      ! vorticity term including Coriolis
-                            CALL dyn_ldf_init      ! lateral mixing
-                            CALL dyn_hpg_init      ! horizontal gradient of Hydrostatic pressure
-                            CALL dyn_zdf_init      ! vertical diffusion
-                            CALL dyn_spg_init      ! surface pressure gradient
-
-#if defined key_top
-      !                                      ! Passive tracers
-                            CALL     trc_init
-#endif
-      IF( l_ldfslp      )   CALL ldf_slp_init   ! slope of lateral mixing
-
-      !                                      ! Icebergs
-                            CALL icb_init( rdt, nit000)   ! initialise icebergs instance
-
-      !                                      ! Misc. options
-                            CALL sto_par_init   ! Stochastic parametrization
-      IF( ln_sto_eos     )  CALL sto_pts_init   ! RRandom T/S fluctuations
-     
-      !                                      ! Diagnostics
-      IF( lk_floats     )   CALL     flo_init   ! drifting Floats
-                            CALL dia_cfl_init   ! Initialise CFL diagnostics
-      IF( lk_diaar5     )   CALL dia_ar5_init   ! ar5 diag
-                            CALL dia_ptr_init   ! Poleward TRansports initialization
-      IF( lk_diadct     )   CALL dia_dct_init   ! Sections tranports
-                            CALL dia_hsb_init   ! heat content, salt content and volume budgets
-                            CALL     trd_init   ! Mixed-layer/Vorticity/Integral constraints trends
-                            CALL dia_obs_init            ! Initialize observational data
-      IF( ln_diaobs     )   CALL dia_obs( nit000 - 1 )   ! Observation operator for restart
-
-      !                                         ! Assimilation increments
-      IF( lk_asminc     )   CALL asm_inc_init   ! Initialize assimilation increments
-      IF(lwp) WRITE(numout,*) 'Euler time step switch is ', neuler
-                            CALL dia_tmb_init  ! TMB outputs
-                            CALL dia_25h_init  ! 25h mean  outputs
-
       !
    END SUBROUTINE nemo_init
@@ -600,12 +395,4 @@
       ENDIF
       !
-      IF( nbench == 1 ) THEN              ! Benchmark
-         SELECT CASE ( cp_cfg )
-         CASE ( 'gyre' )   ;   CALL ctl_warn( ' The Benchmark is activated ' )
-         CASE DEFAULT      ;   CALL ctl_stop( ' The Benchmark is based on the GYRE configuration:',   &
-            &                                 ' cp_cfg = "gyre" in namelist &namcfg or set nbench = 0' )
-         END SELECT
-      ENDIF
-      !
       IF( 1_wp /= SIGN(1._wp,-0._wp)  )   CALL ctl_stop( 'nemo_ctl: The intrinsec SIGN function follows ',  &
          &                                               'f2003 standard. '                              ,  &
@@ -653,13 +440,5 @@
       !! ** Method  :
       !!----------------------------------------------------------------------
-      USE diawri    , ONLY: dia_wri_alloc
       USE dom_oce   , ONLY: dom_oce_alloc
-      USE trc_oce   , ONLY: trc_oce_alloc
-#if defined key_diadct 
-      USE diadct    , ONLY: diadct_alloc 
-#endif 
-#if defined key_bdy
-      USE bdy_oce   , ONLY: bdy_oce_alloc
-#endif
       !
       INTEGER :: ierr
@@ -667,16 +446,5 @@
       !
       ierr =        oce_alloc       ()          ! ocean
-      ierr = ierr + dia_wri_alloc   ()
       ierr = ierr + dom_oce_alloc   ()          ! ocean domain
-      ierr = ierr + zdf_oce_alloc   ()          ! ocean vertical physics
-      !
-      ierr = ierr + trc_oce_alloc   ()          ! shared TRC / TRA arrays
-      !
-#if defined key_diadct 
-      ierr = ierr + diadct_alloc    ()          ! 
-#endif 
-#if defined key_bdy
-      ierr = ierr + bdy_oce_alloc   ()          ! bdy masks (incl. initialization)
-#endif
       !
       IF( lk_mpp    )   CALL mpp_sum( ierr )
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/step_oce.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 6826)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef_tools/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 6827)
@@ -9,96 +9,10 @@
    USE oce              ! ocean dynamics and tracers variables
    USE dom_oce          ! ocean space and time domain variables
-   USE zdf_oce          ! ocean vertical physics variables
 
    USE daymod           ! calendar                         (day     routine)
 
-   USE sbc_oce          ! surface boundary condition: ocean
-   USE sbcmod           ! surface boundary condition       (sbc     routine)
-   USE sbcrnf           ! surface boundary condition: runoff variables
-   USE sbccpl           ! surface boundary condition: coupled formulation (call send at end of step)
-   USE sbcapr           ! surface boundary condition: atmospheric pressure
-   USE sbctide          ! Tide initialisation
-
-   USE traqsr           ! solar radiation penetration      (tra_qsr routine)
-   USE trasbc           ! surface boundary condition       (tra_sbc routine)
-   USE trabbc           ! bottom boundary condition        (tra_bbc routine)
-   USE trabbl           ! bottom boundary layer            (tra_bbl routine)
-   USE tradmp           ! internal damping                 (tra_dmp routine)
-   USE traadv           ! advection scheme control     (tra_adv_ctl routine)
-   USE traldf           ! lateral mixing                   (tra_ldf routine)
-   USE trazdf           ! vertical mixing                  (tra_zdf routine)
-   USE tranxt           ! time-stepping                    (tra_nxt routine)
-   USE tranpc           ! non-penetrative convection       (tra_npc routine)
-
    USE eosbn2           ! equation of state                (eos_bn2 routine)
 
-   USE divhor           ! horizontal divergence            (div_hor routine)
-   USE dynadv           ! advection                        (dyn_adv routine)
-   USE dynbfr           ! Bottom friction terms            (dyn_bfr routine)
-   USE dynvor           ! vorticity term                   (dyn_vor routine)
-   USE dynhpg           ! hydrostatic pressure grad.       (dyn_hpg routine)
-   USE dynldf           ! lateral momentum diffusion       (dyn_ldf routine)
-   USE dynzdf           ! vertical diffusion               (dyn_zdf routine)
-   USE dynspg           ! surface pressure gradient        (dyn_spg routine)
-
-   USE dynnxt           ! time-stepping                    (dyn_nxt routine)
-
-   USE stopar           ! Stochastic parametrization       (sto_par routine)
-   USE stopts 
-
-   USE bdy_par          ! for lk_bdy
-   USE bdy_oce          ! for dmp logical
-   USE bdydta           ! open boundary condition data     (bdy_dta routine)
-   USE bdytra           ! bdy cond. for tracers            (bdy_tra routine)
-   USE bdydyn3d         ! bdy cond. for baroclinic vel.  (bdy_dyn3d routine)
-
-   USE sshwzv           ! vertical velocity and ssh        (ssh_nxt routine)
-   !                                                       (ssh_swp routine)
-   !                                                       (wzv     routine)
-   USE domvvl           ! variable vertical scale factors  (dom_vvl_sf_nxt routine)
-   !                                                       (dom_vvl_sf_swp routine)
-
-   USE ldfslp           ! iso-neutral slopes               (ldf_slp routine)
-   USE ldfdyn           ! lateral eddy viscosity coef.     (ldf_dyn routine)
-   USE ldftra           ! lateral eddy diffusive coef.     (ldf_tra routine)
-
-   USE zdftmx           ! tide-induced vertical mixing     (zdf_tmx routine)
-   USE zdfbfr           ! bottom friction                  (zdf_bfr routine)
-   USE zdftke           ! TKE vertical mixing              (zdf_tke routine)
-   USE zdfgls           ! GLS vertical mixing              (zdf_gls routine)
-   USE zdfddm           ! double diffusion mixing          (zdf_ddm routine)
-   USE zdfevd           ! enhanced vertical diffusion      (zdf_evd routine)
-   USE zdfric           ! Richardson vertical mixing       (zdf_ric routine)
-   USE zdfmxl           ! Mixed-layer depth                (zdf_mxl routine)
-
-   USE step_diu        ! Time stepping for diurnal sst
-   USE diurnal_bulk    ! diurnal SST bulk routines  (diurnal_sst_takaya routine) 
-   USE cool_skin       ! diurnal cool skin correction (diurnal_sst_coolskin routine)   
-   USE sbc_oce         ! surface fluxes  
-   
-   USE zpshde           ! partial step: hor. derivative     (zps_hde routine)
-
-   USE diawri           ! Standard run outputs             (dia_wri routine)
-   USE diaptr           ! poleward transports              (dia_ptr routine)
-   USE diadct           ! sections transports              (dia_dct routine)
-   USE diaar5           ! AR5 diagnosics                   (dia_ar5 routine)
-   USE diahth           ! thermocline depth                (dia_hth routine)
-   USE diafwb           ! freshwater budget                (dia_fwb routine)
-   USE diahsb           ! heat, salt and volume budgets    (dia_hsb routine)
-   USE diaharm
-   USE diacfl
-   USE flo_oce          ! floats variables
-   USE floats           ! floats computation               (flo_stp routine)
-
-   USE crsfld           ! Standard output on coarse grid   (crs_fld routine)
-
-   USE asminc           ! assimilation increments      (tra_asm_inc routine)
-   !                                                   (dyn_asm_inc routine)
-   USE asmbkg
-   USE stpctl           ! time stepping control            (stp_ctl routine)
-   USE restart          ! ocean restart                    (rst_wri routine)
    USE prtctl           ! Print control                    (prt_ctl routine)
-
-   USE diaobs           ! Observation operator
 
    USE in_out_manager   ! I/O manager
@@ -110,11 +24,4 @@
    USE xios
 #endif
-#if defined key_agrif
-   USE agrif_opa_sponge ! Momemtum and tracers sponges
-   USE agrif_opa_update ! Update (2-way nesting)
-#endif
-#if defined key_top
-   USE trcstp           ! passive tracer time-stepping      (trc_stp routine)
-#endif
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.7 , NEMO Consortium (2014)
